Subject: Re: package directory naming (and renaming devel/swig to
To: David Brownlee <>
From: D'Arcy J.M. Cain <>
List: tech-pkg
Date: 01/06/2006 10:26:30
On Fri, 6 Jan 2006 15:18:32 +0000 (GMT)
David Brownlee <> wrote:
> > * mysql-{client,server} <- 5.x
> > * mysql4-{client,server} <- 4.1.x
> >
> > mysql-4.0.x won't be mantained anymore, it's time to
> > remove it.
>  	We have mysql3-* as well. I'd be more inclined to keep the
>  	mysql5-* names as they currently are, as postgres??-* does,
>  	but I'm not religious about it :)

How about mysql3, mysql4, mysql5 and make mysql a meta package that
depends on the latest version at any time?  It can depend on mysql5 for
now and be changed when mysql6 comes out.  That way people who just
always want the latest version can install mysql and others can install
the specific version they require.

D'Arcy J.M. Cain <>